Bug 168749 - Printed jobs remains in windows print manager
Printed jobs remains in windows print manager
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://lists.samba.org/archive/samba/...
:
Depends On: 129237
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 20:12 EDT by Norm Murray
Modified: 2014-01-21 17:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 06:55:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Milan Kerslager 2005-10-25 03:49:08 EDT
It seems, that after the last U2 update of cups, there are random printer queue
hangs. Also jobs remains in the printer queue in the Samba. I have to clean
Samba queue and restart cups daemon to make it work again (I still don't know
what steps are exactly needed to make it work so I'm providing almost all what I
did):

lpc status
rm /var/spool/samba/*
rm /var/cache/samba/printing/*
/etc/init.d/cups restart
cupsdisable MYPRINTER (see output of lpc status)
cupsenable MYPRINTER

I'm not really sure if this is Samba or cups issue. Any comments?
Comment 3 Milan Kerslager 2005-10-25 09:47:59 EDT
It seems that downgrading to the previous cups-1.1.22-0.rc1.9.7 solve this
problem. Current cups-1.1.22-0.rc1.9.8 has been issued by RHSA-2005:772-8 and
closed STR #1068 (bug #164642), bug #164641 and STR #1042 (bug #168072). So one
of these fixes probably caused unusability of the printing subsystem via Samba
in RHEL4 (U2).

The problem could be reproduced by setting up a printer, run Samba and try to
print few documents (there Win XP from Word, Outlook, Excel etc). At some point,
the jobs remains in the queue and the printer stops to print (we have network
printers HP4000, HP4300 and Minolta 2300).

The older version of the cups and cups-libs could be found in the RHN by
searching for cups package in the dialog just under the menu.
Comment 4 Milan Kerslager 2005-11-11 02:55:43 EST
I'm confirming that after downgrade to cups-1.1.22-0.rc1.9.7 (see comment #3)
the printing subsystem works Ok again. I have three Samba shared printers which
we use regullary everyday, so after 2 weeks it seems to be proved that the
latest errata caused troubles with printing.
Comment 10 Milan Kerslager 2006-01-05 23:08:00 EST
Changing component to the cups.
Comment 11 Tim Waugh 2006-01-09 06:00:33 EST
Milan: you have added your comment to a report of a (seemingly) different bug,
and it makes the report very confusing.  Please file a separate bug report.

Note You need to log in before you can comment on or make changes to this bug.